import { T as TableConfig } from './table-config-720f8ea0.js';
import { D as DvnAppViewConfig } from './view-config-efdeed6d.js';

class TakvimAvailableTimePickerViewConfig extends DvnAppViewConfig {
  static decode(json) {
    const model = Object.assign(Object.create(TakvimAvailableTimePickerViewConfig.prototype), json);
    model.table = TableConfig.decode(model.table);
    return model;
  }
}

export { TakvimAvailableTimePickerViewConfig as T };
